org.apache.tomcat.util.bcel.classfile

## Class PMGClass

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.Attribute
  - - org.apache.tomcat.util.bcel.classfile.PMGClass

All Implemented Interfaces:
  Serializable, Cloneable

    public final class PMGClass
    extends Attribute

This class is derived from Attribute and represents a reference to a PMG attribute.

Author:
  M. Dahm
See Also:
  `Attribute`, Serialized Form

### Field Summary

### Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute

`constant_pool, length, name_index, tag`

### Constructor Summary

Constructors
Constructor and Description
`PMGClass(int name_index, int length, int pmg_index, int pmg_class_index, ConstantPool constant_pool)`

### Method Summary

Methods
`Attribute` `copy(ConstantPool _constant_pool)`
`String` `getPMGClassName()`
`String` `getPMGName()`
`String` `toString()`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute

`clone, getName, getTag, readAttribute`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PMGClass

    public PMGClass(int name_index,
            int length,
            int pmg_index,
            int pmg_class_index,
            ConstantPool constant_pool)

Parameters:
  `name_index` - Index in constant pool to CONSTANT_Utf8
  `length` - Content length in bytes
  `pmg_index` - index in constant pool for source file name
  `pmg_class_index` - Index in constant pool to CONSTANT_Utf8
  `constant_pool` - Array of constants

### Method Detail

#### getPMGName

    public final String getPMGName()

Returns:
  PMG name.

#### getPMGClassName

    public final String getPMGClassName()

Returns:
  PMG class name.

#### toString

    public final String toString()

Overrides:
  `toString` in class `Attribute`
Returns:
  String representation

#### copy

    public Attribute copy(ConstantPool _constant_pool)

Specified by:
  `copy` in class `Attribute`
Returns:
  deep copy of this attribute